com.labjack

## Class LJM.Constants

- java.lang.Object
- - com.labjack.LJM.Constants

- Enclosing class:
    LJM

      public class LJM.Constants
      extends java.lang.Object

  Constants is a class containing the constants from the LJM library. The "LJM_" prefix have been removed from the original names.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ALLOWS_AUTO_CONDENSE_ADDRESSES`
    `static java.lang.String` | `ALLOWS_AUTO_MULTIPLE_FEEDBACKS`
    `static java.lang.String` | `AUTO_IPS`
    `static java.lang.String` | `AUTO_IPS_FILE`
    `static java.lang.String` | `AUTO_RECONNECT_STICKY_CONNECTION`
    `static java.lang.String` | `AUTO_RECONNECT_STICKY_SERIAL`
    `static java.lang.String` | `AUTO_RECONNECT_WAIT_MS`
    `static int` | `BYTE`
    `static int` | `BYTES_PER_REGISTER`
    `static java.lang.String` | `CONSTANTS_FILE`
    `static int` | `ctANY`
    `static int` | `ctANY_TCP`
    `static int` | `ctETHERNET`
    `static int` | `ctETHERNET_ANY`
    `static int` | `ctETHERNET_TCP`
    `static int` | `ctETHERNET_UDP`
    `static int` | `ctNETWORK_ANY`
    `static int` | `ctNETWORK_TCP`
    `static int` | `ctNETWORK_UDP`
    `static int` | `ctTCP`
    `static int` | `ctUSB`
    `static int` | `ctWIFI`
    `static int` | `ctWIFI_ANY`
    `static int` | `ctWIFI_TCP`
    `static int` | `ctWIFI_UDP`
    `static double` | `DEBUG`
    `static java.lang.String` | `DEBUG_LOG_BUFFER_MAX_SIZE`
    `static java.lang.String` | `DEBUG_LOG_FILE`
    `static java.lang.String` | `DEBUG_LOG_FILE_MAX_SIZE`
    `static java.lang.String` | `DEBUG_LOG_LEVEL`
    `static java.lang.String` | `DEBUG_LOG_MODE`
    `static double` | `DEBUG_LOG_MODE_CONTINUOUS`
    `static double` | `DEBUG_LOG_MODE_NEVER`
    `static double` | `DEBUG_LOG_MODE_ON_ERROR`
    `static java.lang.String` | `DEBUG_LOG_SLEEP_TIME_MS`
    `static int` | `DEFAULT_ETHERNET_OPEN_TIMEOUT_MS`
    `static int` | `DEFAULT_ETHERNET_SEND_RECEIVE_TIMEOUT_MS`
    `static int` | `DEFAULT_FEEDBACK_ALLOCATION_SIZE`
    `static int` | `DEFAULT_PORT` Deprecated. Replaced by `TCP_PORT`
    `static int` | `DEFAULT_UNIT_ID`
    `static int` | `DEFAULT_USB_SEND_RECEIVE_TIMEOUT_MS`
    `static int` | `DEFAULT_WIFI_OPEN_TIMEOUT_MS`
    `static int` | `DEFAULT_WIFI_SEND_RECEIVE_TIMEOUT_MS`
    `static java.lang.String` | `DEMO_MODE`
    `static int` | `dtANY`
    `static int` | `dtDIGIT`
    `static int` | `dtT4`
    `static int` | `dtT7`
    `static int` | `dtTSERIES`
    `static int` | `DUMMY_VALUE`
    `static double` | `ERROR`
    `static java.lang.String` | `ERROR_CONSTANTS_FILE`
    `static java.lang.String` | `ETHERNET_OPEN_TIMEOUT_MS`
    `static java.lang.String` | `ETHERNET_SEND_RECEIVE_TIMEOUT_MS`
    `static int` | `ETHERNET_UDP_PORT`
    `static double` | `FATAL`
    `static int` | `FLOAT32`
    `static int` | `GND`
    `static int` | `idANY`
    `static double` | `INFO`
    `static int` | `INT32`
    `static int` | `INVALID_NAME_ADDRESS`
    `static int` | `IPv4_STRING_SIZE`
    `static double` | `KEEP_OPEN` Deprecated.
    `static java.lang.String` | `LIBRARY_VERSION`
    `static int` | `LIST_ALL_SIZE`
    `static int` | `MAC_STRING_SIZE`
    `static int` | `MAX_ETHERNET_PACKET_NUM_BYTES_T7` Deprecated. Maximum packet size should instead be read with `LJM.getHandleInfo(int, com.sun.jna.ptr.IntByReference, com.sun.jna.ptr.IntByReference, com.sun.jna.ptr.IntByReference, com.sun.jna.ptr.IntByReference, com.sun.jna.ptr.IntByReference, com.sun.jna.ptr.IntByReference)`
    `static int` | `MAX_NAME_SIZE`
    `static int` | `MAX_TCP_PACKET_NUM_BYTES_T7` Deprecated. Maximum packet size should instead be read with `LJM.getHandleInfo(int, com.sun.jna.ptr.IntByReference, com.sun.jna.ptr.IntByReference, com.sun.jna.ptr.IntByReference, com.sun.jna.ptr.IntByReference, com.sun.jna.ptr.IntByReference, com.sun.jna.ptr.IntByReference)`
    `static int` | `MAX_USB_PACKET_NUM_BYTES` Deprecated. Maximum packet size should instead be read with `LJM.getHandleInfo(int, com.sun.jna.ptr.IntByReference, com.sun.jna.ptr.IntByReference, com.sun.jna.ptr.IntByReference, com.sun.jna.ptr.IntByReference, com.sun.jna.ptr.IntByReference, com.sun.jna.ptr.IntByReference)`
    `static int` | `MAX_WIFI_PACKET_NUM_BYTES_T7` Deprecated. Maximum packet size should instead be read with `LJM.getHandleInfo(int, com.sun.jna.ptr.IntByReference, com.sun.jna.ptr.IntByReference, com.sun.jna.ptr.IntByReference, com.sun.jna.ptr.IntByReference, com.sun.jna.ptr.IntByReference, com.sun.jna.ptr.IntByReference)`
    `static java.lang.String` | `MODBUS_MAP_CONSTANTS_FILE`
    `static int` | `NO_IP_ADDRESS`
    `static int` | `NO_PORT`
    `static int` | `NO_TIMEOUT`
    `static java.lang.String` | `OLD_FIRMWARE_CHECK`
    `static double` | `OPEN_CLOSE` Deprecated.
    `static java.lang.String` | `OPEN_MODE` Deprecated.
    `static java.lang.String` | `OPEN_TCP_DEVICE_TIMEOUT_MS`
    `static double` | `PACKET`
    `static int` | `READ`
    `static java.lang.String` | `RETRY_ON_TRANSACTION_ID_MISMATCH`
    `static int` | `SCAN_NOT_READ`
    `static java.lang.String` | `SEND_RECEIVE_TIMEOUT_MS`
    `static java.lang.String` | `SPECIAL_ADDRESSES_FILE` Deprecated. Replaced by `SPECIFIC_IPS_FILE`
    `static java.lang.String` | `SPECIAL_ADDRESSES_STATUS` Deprecated. Instead use `LJM.getSpecificIPsInfo(com.sun.jna.ptr.IntByReference, com.sun.jna.ptr.PointerByReference)`
    `static java.lang.String` | `SPECIFIC_IPS_FILE`
    `static java.lang.String` | `STREAM_AIN_BINARY`
    `static double` | `STREAM_PACKET`
    `static java.lang.String` | `STREAM_RECEIVE_TIMEOUT_MODE`
    `static double` | `STREAM_RECEIVE_TIMEOUT_MODE_CALCULATED`
    `static double` | `STREAM_RECEIVE_TIMEOUT_MODE_MANUAL`
    `static java.lang.String` | `STREAM_RECEIVE_TIMEOUT_MS`
    `static java.lang.String` | `STREAM_SCANS_RETURN`
    `static double` | `STREAM_SCANS_RETURN_ALL`
    `static double` | `STREAM_SCANS_RETURN_ALL_OR_NONE`
    `static java.lang.String` | `STREAM_TRANSFERS_PER_SECOND`
    `static int` | `STRING`
    `static int` | `STRING_ALLOCATION_SIZE`
    `static int` | `STRING_MAX_SIZE`
    `static int` | `TCP_PORT`
    `static double` | `TRACE`
    `static int` | `ttB`
    `static int` | `ttC`
    `static int` | `ttE`
    `static int` | `ttJ`
    `static int` | `ttK`
    `static int` | `ttN`
    `static int` | `ttR`
    `static int` | `ttS`
    `static int` | `ttT`
    `static int` | `UDP_PORT` Deprecated. Replaced by `ETHERNET_UDP_PORT` and `WIFI_UDP_PORT`
    `static int` | `UINT16`
    `static int` | `UINT32`
    `static java.lang.String` | `USB_SEND_RECEIVE_TIMEOUT_MS`
    `static int` | `USE_DEFAULT_MAXBYTESPERMBFB`
    `static java.lang.String` | `USE_TCP_INIT_FOR_T7_WIFI_TCP`
    `static double` | `USER`
    `static double` | `WARNING`
    `static java.lang.String` | `WIFI_OPEN_TIMEOUT_MS`
    `static java.lang.String` | `WIFI_SEND_RECEIVE_TIMEOUT_MS`
    `static int` | `WIFI_UDP_PORT`
    `static int` | `WRITE`
    `static double` | `ZERO_LENGTH_ARRAY_ERROR`
    `static double` | `ZERO_LENGTH_ARRAY_IGNORE_OPERATION`
    `static java.lang.String` | `ZERO_LENGTH_ARRAY_MODE`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### READ

          public static final int READ

      See Also:
        Constant Field Values

    - #### WRITE

          public static final int WRITE

      See Also:
        Constant Field Values

    - #### UINT16

          public static final int UINT16

      See Also:
        Constant Field Values

    - #### UINT32

          public static final int UINT32

      See Also:
        Constant Field Values

    - #### INT32

          public static final int INT32

      See Also:
        Constant Field Values

    - #### FLOAT32

          public static final int FLOAT32

      See Also:
        Constant Field Values

    - #### BYTE

          public static final int BYTE

      See Also:
        Constant Field Values

    - #### STRING

          public static final int STRING

      See Also:
        Constant Field Values

    - #### STRING_MAX_SIZE

          public static final int STRING_MAX_SIZE

      See Also:
        Constant Field Values

    - #### STRING_ALLOCATION_SIZE

          public static final int STRING_ALLOCATION_SIZE

      See Also:
        Constant Field Values

    - #### INVALID_NAME_ADDRESS

          public static final int INVALID_NAME_ADDRESS

      See Also:
        Constant Field Values

    - #### MAX_NAME_SIZE

          public static final int MAX_NAME_SIZE

      See Also:
        Constant Field Values

    - #### MAC_STRING_SIZE

          public static final int MAC_STRING_SIZE

      See Also:
        Constant Field Values

    - #### IPv4_STRING_SIZE

          public static final int IPv4_STRING_SIZE

      See Also:
        Constant Field Values

    - #### BYTES_PER_REGISTER

          public static final int BYTES_PER_REGISTER

      See Also:
        Constant Field Values

    - #### dtANY

          public static final int dtANY

      See Also:
        Constant Field Values

    - #### dtT4

          public static final int dtT4

      See Also:
        Constant Field Values

    - #### dtT7

          public static final int dtT7

      See Also:
        Constant Field Values

    - #### dtDIGIT

          public static final int dtDIGIT

      See Also:
        Constant Field Values

    - #### dtTSERIES

          public static final int dtTSERIES

      See Also:
        Constant Field Values

    - #### ctANY

          public static final int ctANY

      See Also:
        Constant Field Values

    - #### ctANY_TCP

          public static final int ctANY_TCP

      See Also:
        Constant Field Values

    - #### ctUSB

          public static final int ctUSB

      See Also:
        Constant Field Values

    - #### ctTCP

          public static final int ctTCP

      See Also:
        Constant Field Values

    - #### ctNETWORK_TCP

          public static final int ctNETWORK_TCP

      See Also:
        Constant Field Values

    - #### ctETHERNET

          public static final int ctETHERNET

      See Also:
        Constant Field Values

    - #### ctETHERNET_TCP

          public static final int ctETHERNET_TCP

      See Also:
        Constant Field Values

    - #### ctWIFI

          public static final int ctWIFI

      See Also:
        Constant Field Values

    - #### ctWIFI_TCP

          public static final int ctWIFI_TCP

      See Also:
        Constant Field Values

    - #### ctNETWORK_UDP

          public static final int ctNETWORK_UDP

      See Also:
        Constant Field Values

    - #### ctETHERNET_UDP

          public static final int ctETHERNET_UDP

      See Also:
        Constant Field Values

    - #### ctWIFI_UDP

          public static final int ctWIFI_UDP

      See Also:
        Constant Field Values

    - #### ctNETWORK_ANY

          public static final int ctNETWORK_ANY

      See Also:
        Constant Field Values

    - #### ctETHERNET_ANY

          public static final int ctETHERNET_ANY

      See Also:
        Constant Field Values

    - #### ctWIFI_ANY

          public static final int ctWIFI_ANY

      See Also:
        Constant Field Values

    - #### TCP_PORT

          public static final int TCP_PORT

      See Also:
        Constant Field Values

    - #### ETHERNET_UDP_PORT

          public static final int ETHERNET_UDP_PORT

      See Also:
        Constant Field Values

    - #### WIFI_UDP_PORT

          public static final int WIFI_UDP_PORT

      See Also:
        Constant Field Values

    - #### NO_IP_ADDRESS

          public static final int NO_IP_ADDRESS

      See Also:
        Constant Field Values

    - #### NO_PORT

          public static final int NO_PORT

      See Also:
        Constant Field Values

    - #### DEMO_MODE

          public static final java.lang.String DEMO_MODE

      See Also:
        Constant Field Values

    - #### idANY

          public static final int idANY

      See Also:
        Constant Field Values

    - #### DEFAULT_FEEDBACK_ALLOCATION_SIZE

          public static final int DEFAULT_FEEDBACK_ALLOCATION_SIZE

      See Also:
        Constant Field Values

    - #### USE_DEFAULT_MAXBYTESPERMBFB

          public static final int USE_DEFAULT_MAXBYTESPERMBFB

      See Also:
        Constant Field Values

    - #### DEFAULT_UNIT_ID

          public static final int DEFAULT_UNIT_ID

      See Also:
        Constant Field Values

    - #### LIST_ALL_SIZE

          public static final int LIST_ALL_SIZE

      See Also:
        Constant Field Values

    - #### NO_TIMEOUT

          public static final int NO_TIMEOUT

      See Also:
        Constant Field Values

    - #### DEFAULT_USB_SEND_RECEIVE_TIMEOUT_MS

          public static final int DEFAULT_USB_SEND_RECEIVE_TIMEOUT_MS

      See Also:
        Constant Field Values

    - #### DEFAULT_ETHERNET_OPEN_TIMEOUT_MS

          public static final int DEFAULT_ETHERNET_OPEN_TIMEOUT_MS

      See Also:
        Constant Field Values

    - #### DEFAULT_ETHERNET_SEND_RECEIVE_TIMEOUT_MS

          public static final int DEFAULT_ETHERNET_SEND_RECEIVE_TIMEOUT_MS

      See Also:
        Constant Field Values

    - #### DEFAULT_WIFI_OPEN_TIMEOUT_MS

          public static final int DEFAULT_WIFI_OPEN_TIMEOUT_MS

      See Also:
        Constant Field Values

    - #### DEFAULT_WIFI_SEND_RECEIVE_TIMEOUT_MS

          public static final int DEFAULT_WIFI_SEND_RECEIVE_TIMEOUT_MS

      See Also:
        Constant Field Values

    - #### DUMMY_VALUE

          public static final int DUMMY_VALUE

      See Also:
        Constant Field Values

    - #### SCAN_NOT_READ

          public static final int SCAN_NOT_READ

      See Also:
        Constant Field Values

    - #### GND

          public static final int GND

      See Also:
        Constant Field Values

    - #### ttB

          public static final int ttB

      See Also:
        Constant Field Values

    - #### ttE

          public static final int ttE

      See Also:
        Constant Field Values

    - #### ttJ

          public static final int ttJ

      See Also:
        Constant Field Values

    - #### ttK

          public static final int ttK

      See Also:
        Constant Field Values

    - #### ttN

          public static final int ttN

      See Also:
        Constant Field Values

    - #### ttR

          public static final int ttR

      See Also:
        Constant Field Values

    - #### ttS

          public static final int ttS

      See Also:
        Constant Field Values

    - #### ttT

          public static final int ttT

      See Also:
        Constant Field Values

    - #### ttC

          public static final int ttC

      See Also:
        Constant Field Values

    - #### USB_SEND_RECEIVE_TIMEOUT_MS

          public static final java.lang.String USB_SEND_RECEIVE_TIMEOUT_MS

      See Also:
        Constant Field Values

    - #### ETHERNET_SEND_RECEIVE_TIMEOUT_MS

          public static final java.lang.String ETHERNET_SEND_RECEIVE_TIMEOUT_MS

      See Also:
        Constant Field Values

    - #### WIFI_SEND_RECEIVE_TIMEOUT_MS

          public static final java.lang.String WIFI_SEND_RECEIVE_TIMEOUT_MS

      See Also:
        Constant Field Values

    - #### SEND_RECEIVE_TIMEOUT_MS

          public static final java.lang.String SEND_RECEIVE_TIMEOUT_MS

      See Also:
        Constant Field Values

    - #### ETHERNET_OPEN_TIMEOUT_MS

          public static final java.lang.String ETHERNET_OPEN_TIMEOUT_MS

      See Also:
        Constant Field Values

    - #### WIFI_OPEN_TIMEOUT_MS

          public static final java.lang.String WIFI_OPEN_TIMEOUT_MS

      See Also:
        Constant Field Values

    - #### OPEN_TCP_DEVICE_TIMEOUT_MS

          public static final java.lang.String OPEN_TCP_DEVICE_TIMEOUT_MS

      See Also:
        Constant Field Values

    - #### DEBUG_LOG_MODE

          public static final java.lang.String DEBUG_LOG_MODE

      See Also:
        Constant Field Values

    - #### DEBUG_LOG_MODE_NEVER

          public static final double DEBUG_LOG_MODE_NEVER

      See Also:
        Constant Field Values

    - #### DEBUG_LOG_MODE_CONTINUOUS

          public static final double DEBUG_LOG_MODE_CONTINUOUS

      See Also:
        Constant Field Values

    - #### DEBUG_LOG_MODE_ON_ERROR

          public static final double DEBUG_LOG_MODE_ON_ERROR

      See Also:
        Constant Field Values

    - #### DEBUG_LOG_LEVEL

          public static final java.lang.String DEBUG_LOG_LEVEL

      See Also:
        Constant Field Values

    - #### STREAM_PACKET

          public static final double STREAM_PACKET

      See Also:
        Constant Field Values

    - #### TRACE

          public static final double TRACE

      See Also:
        Constant Field Values

    - #### DEBUG

          public static final double DEBUG

      See Also:
        Constant Field Values

    - #### INFO

          public static final double INFO

      See Also:
        Constant Field Values

    - #### PACKET

          public static final double PACKET

      See Also:
        Constant Field Values

    - #### WARNING

          public static final double WARNING

      See Also:
        Constant Field Values

    - #### USER

          public static final double USER

      See Also:
        Constant Field Values

    - #### ERROR

          public static final double ERROR

      See Also:
        Constant Field Values

    - #### FATAL

          public static final double FATAL

      See Also:
        Constant Field Values

    - #### DEBUG_LOG_BUFFER_MAX_SIZE

          public static final java.lang.String DEBUG_LOG_BUFFER_MAX_SIZE

      See Also:
        Constant Field Values

    - #### DEBUG_LOG_SLEEP_TIME_MS

          public static final java.lang.String DEBUG_LOG_SLEEP_TIME_MS

      See Also:
        Constant Field Values

    - #### LIBRARY_VERSION

          public static final java.lang.String LIBRARY_VERSION

      See Also:
        Constant Field Values

    - #### ALLOWS_AUTO_MULTIPLE_FEEDBACKS

          public static final java.lang.String ALLOWS_AUTO_MULTIPLE_FEEDBACKS

      See Also:
        Constant Field Values

    - #### ALLOWS_AUTO_CONDENSE_ADDRESSES

          public static final java.lang.String ALLOWS_AUTO_CONDENSE_ADDRESSES

      See Also:
        Constant Field Values

    - #### AUTO_IPS_FILE

          public static final java.lang.String AUTO_IPS_FILE

      See Also:
        Constant Field Values

    - #### AUTO_IPS

          public static final java.lang.String AUTO_IPS

      See Also:
        Constant Field Values

    - #### AUTO_RECONNECT_STICKY_CONNECTION

          public static final java.lang.String AUTO_RECONNECT_STICKY_CONNECTION

      See Also:
        Constant Field Values

    - #### AUTO_RECONNECT_STICKY_SERIAL

          public static final java.lang.String AUTO_RECONNECT_STICKY_SERIAL

      See Also:
        Constant Field Values

    - #### AUTO_RECONNECT_WAIT_MS

          public static final java.lang.String AUTO_RECONNECT_WAIT_MS

      See Also:
        Constant Field Values

    - #### MODBUS_MAP_CONSTANTS_FILE

          public static final java.lang.String MODBUS_MAP_CONSTANTS_FILE

      See Also:
        Constant Field Values

    - #### ERROR_CONSTANTS_FILE

          public static final java.lang.String ERROR_CONSTANTS_FILE

      See Also:
        Constant Field Values

    - #### DEBUG_LOG_FILE

          public static final java.lang.String DEBUG_LOG_FILE

      See Also:
        Constant Field Values

    - #### CONSTANTS_FILE

          public static final java.lang.String CONSTANTS_FILE

      See Also:
        Constant Field Values

    - #### DEBUG_LOG_FILE_MAX_SIZE

          public static final java.lang.String DEBUG_LOG_FILE_MAX_SIZE

      See Also:
        Constant Field Values

    - #### SPECIFIC_IPS_FILE

          public static final java.lang.String SPECIFIC_IPS_FILE

      See Also:
        Constant Field Values

    - #### STREAM_AIN_BINARY

          public static final java.lang.String STREAM_AIN_BINARY

      See Also:
        Constant Field Values

    - #### STREAM_SCANS_RETURN

          public static final java.lang.String STREAM_SCANS_RETURN

      See Also:
        Constant Field Values

    - #### STREAM_SCANS_RETURN_ALL

          public static final double STREAM_SCANS_RETURN_ALL

      See Also:
        Constant Field Values

    - #### STREAM_SCANS_RETURN_ALL_OR_NONE

          public static final double STREAM_SCANS_RETURN_ALL_OR_NONE

      See Also:
        Constant Field Values

    - #### STREAM_RECEIVE_TIMEOUT_MODE

          public static final java.lang.String STREAM_RECEIVE_TIMEOUT_MODE

      See Also:
        Constant Field Values

    - #### STREAM_RECEIVE_TIMEOUT_MODE_CALCULATED

          public static final double STREAM_RECEIVE_TIMEOUT_MODE_CALCULATED

      See Also:
        Constant Field Values

    - #### STREAM_RECEIVE_TIMEOUT_MODE_MANUAL

          public static final double STREAM_RECEIVE_TIMEOUT_MODE_MANUAL

      See Also:
        Constant Field Values

    - #### STREAM_RECEIVE_TIMEOUT_MS

          public static final java.lang.String STREAM_RECEIVE_TIMEOUT_MS

      See Also:
        Constant Field Values

    - #### STREAM_TRANSFERS_PER_SECOND

          public static final java.lang.String STREAM_TRANSFERS_PER_SECOND

      See Also:
        Constant Field Values

    - #### RETRY_ON_TRANSACTION_ID_MISMATCH

          public static final java.lang.String RETRY_ON_TRANSACTION_ID_MISMATCH

      See Also:
        Constant Field Values

    - #### OLD_FIRMWARE_CHECK

          public static final java.lang.String OLD_FIRMWARE_CHECK

      See Also:
        Constant Field Values

    - #### USE_TCP_INIT_FOR_T7_WIFI_TCP

          public static final java.lang.String USE_TCP_INIT_FOR_T7_WIFI_TCP

      See Also:
        Constant Field Values

    - #### ZERO_LENGTH_ARRAY_MODE

          public static final java.lang.String ZERO_LENGTH_ARRAY_MODE

      See Also:
        Constant Field Values

    - #### ZERO_LENGTH_ARRAY_ERROR

          public static final double ZERO_LENGTH_ARRAY_ERROR

      See Also:
        Constant Field Values

    - #### ZERO_LENGTH_ARRAY_IGNORE_OPERATION

          public static final double ZERO_LENGTH_ARRAY_IGNORE_OPERATION

      See Also:
        Constant Field Values

    - #### DEFAULT_PORT

          @Deprecated
          public static final int DEFAULT_PORT

      Deprecated. Replaced by `TCP_PORT`
      See Also:
        Constant Field Values

    - #### UDP_PORT

          @Deprecated
          public static final int UDP_PORT

      Deprecated. Replaced by `ETHERNET_UDP_PORT` and `WIFI_UDP_PORT`
      See Also:
        Constant Field Values

    - #### MAX_TCP_PACKET_NUM_BYTES_T7

          @Deprecated
          public static final int MAX_TCP_PACKET_NUM_BYTES_T7

      Deprecated. Maximum packet size should instead be read with `LJM.getHandleInfo(int, com.sun.jna.ptr.IntByReference, com.sun.jna.ptr.IntByReference, com.sun.jna.ptr.IntByReference, com.sun.jna.ptr.IntByReference, com.sun.jna.ptr.IntByReference, com.sun.jna.ptr.IntByReference)`
      See Also:
        Constant Field Values

    - #### MAX_USB_PACKET_NUM_BYTES

          @Deprecated
          public static final int MAX_USB_PACKET_NUM_BYTES

      Deprecated. Maximum packet size should instead be read with `LJM.getHandleInfo(int, com.sun.jna.ptr.IntByReference, com.sun.jna.ptr.IntByReference, com.sun.jna.ptr.IntByReference, com.sun.jna.ptr.IntByReference, com.sun.jna.ptr.IntByReference, com.sun.jna.ptr.IntByReference)`
      See Also:
        Constant Field Values

    - #### MAX_ETHERNET_PACKET_NUM_BYTES_T7

          @Deprecated
          public static final int MAX_ETHERNET_PACKET_NUM_BYTES_T7

      Deprecated. Maximum packet size should instead be read with `LJM.getHandleInfo(int, com.sun.jna.ptr.IntByReference, com.sun.jna.ptr.IntByReference, com.sun.jna.ptr.IntByReference, com.sun.jna.ptr.IntByReference, com.sun.jna.ptr.IntByReference, com.sun.jna.ptr.IntByReference)`
      See Also:
        Constant Field Values

    - #### MAX_WIFI_PACKET_NUM_BYTES_T7

          @Deprecated
          public static final int MAX_WIFI_PACKET_NUM_BYTES_T7

      Deprecated. Maximum packet size should instead be read with `LJM.getHandleInfo(int, com.sun.jna.ptr.IntByReference, com.sun.jna.ptr.IntByReference, com.sun.jna.ptr.IntByReference, com.sun.jna.ptr.IntByReference, com.sun.jna.ptr.IntByReference, com.sun.jna.ptr.IntByReference)`
      See Also:
        Constant Field Values

    - #### SPECIAL_ADDRESSES_FILE

          @Deprecated
          public static final java.lang.String SPECIAL_ADDRESSES_FILE

      Deprecated. Replaced by `SPECIFIC_IPS_FILE`
      See Also:
        Constant Field Values

    - #### SPECIAL_ADDRESSES_STATUS

          @Deprecated
          public static final java.lang.String SPECIAL_ADDRESSES_STATUS

      Deprecated. Instead use `LJM.getSpecificIPsInfo(com.sun.jna.ptr.IntByReference, com.sun.jna.ptr.PointerByReference)`
      See Also:
        Constant Field Values

    - #### OPEN_MODE

          @Deprecated
          public static final java.lang.String OPEN_MODE

      Deprecated.
      See Also:
        Constant Field Values

    - #### KEEP_OPEN

          @Deprecated
          public static final double KEEP_OPEN

      Deprecated.
      See Also:
        Constant Field Values

    - #### OPEN_CLOSE

          @Deprecated
          public static final double OPEN_CLOSE

      Deprecated.
      See Also:
        Constant Field Values